Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoBundledAssembly

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoBundledAssembly,MonoBundledAssembly.ByValue,MonoBundledAssembly.ByReference>
              com.nativelibs4java.mono.MonoBundledAssembly

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoBundledAssembly,MonoBundledAssembly.ByValue,MonoBundledAssembly.ByReference>>

Direct Known Subclasses:
  MonoBundledAssembly.ByReference, MonoBundledAssembly.ByValue

    public class MonoBundledAssembly

extends Structure<MonoBundledAssembly,MonoBundledAssembly.ByValue,MonoBundledAssembly.ByReference>

native declaration : mono\metadata\assembly.h
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoBundledAssembly.ByReference`
`static class` | `MonoBundledAssembly.ByValue`

Field Summary
`ByteByReference` | `data`
`ByteByReference` | `name`
`int` | `size`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoBundledAssembly()`
`MonoBundledAssembly(ByteByReference name, ByteByReference data, int size)`

Method Summary
`protected MonoBundledAssembly.ByReference` | `newByReference()`
`protected MonoBundledAssembly.ByValue` | `newByValue()`
`protected MonoBundledAssembly` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### name

    public ByteByReference name

### data

    public ByteByReference data

### size

    public int size

Constructor Detail

### MonoBundledAssembly

    public MonoBundledAssembly()

### MonoBundledAssembly

    public MonoBundledAssembly(ByteByReference name,
                               ByteByReference data,
                               int size)

Method Detail

### newByReference

    protected MonoBundledAssembly.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoBundledAssembly,MonoBundledAssembly.ByValue,MonoBundledAssembly.ByReference>`

### newByValue

    protected MonoBundledAssembly.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoBundledAssembly,MonoBundledAssembly.ByValue,MonoBundledAssembly.ByReference>`

### newInstance

    protected MonoBundledAssembly newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoBundledAssembly,MonoBundledAssembly.ByValue,MonoBundledAssembly.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD